import '../../core/result.dart';
import '../entities/certificate.dart';

abstract class CertificateRepository {
  Future<Result<List<Certificate>>> getCertificates();
  
  Future<Result<Map<String, dynamic>>> purchaseCertificate({
    required int certificateId,
    required int cardId,
  });
}
